Bug 1108019 - networkmanager state not connected
networkmanager state not connected
Status: VERIFIED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Network
Leap 15.1
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Fabian Vogt
E-mail List
https://openqa.opensuse.org/tests/751...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-09-11 13:16 UTC by Ludwig Nussel
Modified: 2021-09-13 15:25 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ludwig Nussel 2018-09-11 13:16:48 UTC
## Observation

openQA test in scenario opensuse-15.1-DVD-x86_64-kde@64bit-2G fails in
[updates_packagekit_kde](https://openqa.opensuse.org/tests/751770/modules/updates_packagekit_kde/steps/11)

The yellow triangle in the applet indicates that it thinks there is no network connection but in fact there is. Looks like an event that the connection is there got lost.

## Reproducible

Fails since (at least) Build [300.3](https://openqa.opensuse.org/tests/750558)


## Expected result

Last good: [300.2](https://openqa.opensuse.org/tests/750385) (or more recent)


## Further details

Always latest result in this scenario: [latest](https://openqa.opensuse.org/tests/latest?distri=opensuse&arch=x86_64&machine=64bit-2G&version=15.1&flavor=DVD&test=kde)
Comment 1 Fabian Vogt 2018-09-11 14:08:28 UTC
Upstream proposed a patch: https://paste.kde.org/ppucqbpsx

It fixes the issue, but introduces a regression. Will submit a package once a full fix is available.
Comment 2 Fabian Vogt 2018-09-14 07:41:37 UTC
Patch landed upstream. Submitted as sr 635665 to 15.1.

Once it passes openQA testing, I'll submit it as maintenance update to 15.0 as well.
Comment 3 Martin Loviska 2018-09-14 12:35:01 UTC
Another occurrence in opensuse-15.1-NET-x86_64-Build301.3-kde@USBboot_64-2G
https://openqa.opensuse.org/tests/753888#step/updates_packagekit_kde/12
Comment 9 Swamp Workflow Management 2019-04-04 09:50:08 UTC
This is an autogenerated message for OBS integration:
This bug (1108019) was mentioned in
https://build.opensuse.org/request/show/691442 15.0 / breeze+discover+drkonqi5+kcm_sddm+kinfocenter5+kscreen5+kscreenlocker+kwin5+libkscreen2+plasma-nm5+plasma-vault+plasma5-addons+plasma5-desktop+plasma5-sdk+plasma5-workspace+polkit-kde-agent-5+systemsettings5
Comment 10 Swamp Workflow Management 2019-04-15 13:09:00 UTC
openSUSE-RU-2019:1205-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1108019,1130883
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    breeze-5.12.8-lp150.2.3.1, breeze4-style-5.12.8-lp150.2.3.1, discover-5.12.8-lp150.7.1, drkonqi5-5.12.8-lp150.2.3.1, kcm_sddm-5.12.8-lp150.3.3.1, kinfocenter5-5.12.8-lp150.8.1, kscreen5-5.12.8-lp150.7.1, kscreenlocker-5.12.8-lp150.7.1, kwin5-5.12.8-lp150.10.1, libkscreen2-5.12.8-lp150.2.3.1, plasma-nm5-5.12.8-lp150.8.1, plasma-vault-5.12.8-lp150.2.3.1, plasma5-addons-5.12.8-lp150.7.1, plasma5-desktop-5.12.8-lp150.8.1, plasma5-sdk-5.12.8-lp150.2.3.1, plasma5-workspace-5.12.8-lp150.7.1, polkit-kde-agent-5-5.12.8-lp150.2.3.1, systemsettings5-5.12.8-lp150.2.3.1
Comment 11 Swamp Workflow Management 2019-05-04 10:09:27 UTC
openSUSE-RU-2019:1323-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1108019,1130883
CVE References: 
Sources used:
openSUSE Backports SLE-15 (src):    breeze-5.12.8-bp150.3.3.1, breeze4-style-5.12.8-bp150.3.3.1, discover-5.12.8-bp150.7.1, drkonqi5-5.12.8-bp150.3.3.1, kauth-5.45.0-bp150.11.1, kcm_sddm-5.12.8-bp150.3.3.1, kcoreaddons-5.45.0-bp150.3.8.1, kinfocenter5-5.12.8-bp150.8.1, kscreen5-5.12.8-bp150.7.1, kscreenlocker-5.12.8-bp150.7.1, kwin5-5.12.8-bp150.10.1, libkscreen2-5.12.8-bp150.3.3.1, plasma-nm5-5.12.8-bp150.8.1, plasma-vault-5.12.8-bp150.3.3.1, plasma5-addons-5.12.8-bp150.7.1, plasma5-desktop-5.12.8-bp150.8.1, plasma5-sdk-5.12.8-bp150.3.3.1, plasma5-workspace-5.12.8-bp150.7.1, polkit-kde-agent-5-5.12.8-bp150.3.3.1, systemsettings5-5.12.8-bp150.3.3.1
Comment 12 Oliver Kurz 2019-06-06 09:02:40 UTC
Using https://openqa.opensuse.org/admin/needles I checked when was the last time that the needle tray-without-updates-available-larger-panel-NetworkManager-boo1108019-20180911.json matched and it seems it was 3 months ago.

@fvogt fixed?
Comment 13 Fabian Vogt 2019-06-06 09:09:52 UTC
(In reply to Oliver Kurz from comment #12)
> Using https://openqa.opensuse.org/admin/needles I checked when was the last
> time that the needle
> tray-without-updates-available-larger-panel-NetworkManager-boo1108019-
> 20180911.json matched and it seems it was 3 months ago.
> 
> @fvogt fixed?

Yup!
Comment 15 Oliver Kurz 2021-06-29 06:23:47 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: kde@USBboot_aarch64
https://openqa.opensuse.org/tests/1756706

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 16 openQA Review 2021-07-14 00:21:18 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: kde@USBboot_aarch64
https://openqa.opensuse.org/tests/1756706

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 17 openQA Review 2021-07-29 01:25:02 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: kde@USBboot_aarch64
https://openqa.opensuse.org/tests/1756706

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 18 openQA Review 2021-08-12 08:55:58 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: kde@USBboot_aarch64
https://openqa.opensuse.org/tests/1756706

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 19 Fabian Vogt 2021-09-13 15:25:04 UTC
(In reply to openQA Review from comment #18)
> This is an autogenerated message for openQA integration by the openqa_review
> script:
> 
> This bug is still referenced in a failing openQA test: kde@USBboot_aarch64
> https://openqa.opensuse.org/tests/1756706
> 
> To prevent further reminder comments one of the following options should be
> followed:
> 1. The test scenario is fixed by applying the bug fix to the tested product
> or the test is adjusted
> 2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
> 3. The label in the openQA scenario is removed

^ is actually wrong, it was caused by a needle which still referenced this bug by accident. I just removed the wrong workaround property.